diff --git a/Project/GNU/Library/configure.ac b/Project/GNU/Library/configure.ac
index 12103a9..3479bed 100644
--- a/Project/GNU/Library/configure.ac
+++ b/Project/GNU/Library/configure.ac
@@ -354,16 +354,10 @@ dnl #########################################################################
 dnl -------------------------------------------------------------------------
 dnl Unicode
 dnl
-if test -e ../../../../ZenLib/Project/GNU/Library/libzen-config; then
-	enable_unicode="$(../../../../ZenLib/Project/GNU/Library/libzen-config Unicode)"
-elif test "$(command -v libzen-config)" ; then
-	enable_unicode="$(libzen-config Unicode)"
+if pkg-config --exists libzen; then
+	enable_unicode="$(pkg-config --variable=Unicode libzen)"
 else
-	if pkg-config --exists libzen; then
-		enable_unicode="$(pkg-config --variable=Unicode libzen)"
-	else
-		AC_MSG_ERROR([libzen configuration is not found])
-	fi
+	AC_MSG_ERROR([libzen package is not found])
 fi
 
 dnl #########################################################################
@@ -417,42 +411,18 @@ fi
 dnl -------------------------------------------------------------------------
 dnl ZenLib
 dnl
-if test -e ../../../../ZenLib/Project/GNU/Library/libzen.la; then
-	CXXFLAGS="$CXXFLAGS $(../../../../ZenLib/Project/GNU/Library/libzen-config CXXFLAGS)"
-	if test "$enable_staticlibs" = "yes"; then
-		with_zenlib="builtin (static)"
-		LIBS="$LIBS $(../../../../ZenLib/Project/GNU/Library/libzen-config LIBS_Static)"
-	else
-		with_zenlib="builtin"
-		LIBS="$LIBS $(../../../../ZenLib/Project/GNU/Library/libzen-config LIBS)"
-		MediaInfoLib_LIBS="$MediaInfoLib_LIBS $(../../../../ZenLib/Project/GNU/Library/libzen-config LIBS)"
-		MediaInfoLib_LIBS_Static="$MediaInfoLib_LIBS_Static $(../../../../ZenLib/Project/GNU/Library/libzen-config LIBS)"
-	fi
-elif test "$(command -v libzen-config)" ; then
-	CXXFLAGS="$CXXFLAGS $(libzen-config CXXFLAGS)"
+if pkg-config --exists libzen; then
+	CXXFLAGS="$CXXFLAGS $(pkg-config --cflags libzen)"
 	if test "$enable_staticlibs" = "yes"; then
 		with_zenlib="system (static)"
-		LIBS="$LIBS $(libzen-config LIBS_Static)"
+		LIBS="$LIBS $(pkg-config --variable=LIBS_Static libzen)"
 	else
 		with_zenlib="system"
-		LIBS="$LIBS $(libzen-config LIBS)"
-		MediaInfoLib_LIBS="$MediaInfoLib_LIBS $(libzen-config LIBS)"
-		MediaInfoLib_LIBS_Static="$MediaInfoLib_LIBS_Static $(libzen-config LIBS)"
+		LIBS="$LIBS $(pkg-config --libs libzen)"
+		MediaInfoLib_LIBS_Static="$MediaInfoLib_LIBS_Static $(pkg-config --variable=LIBS libzen)"
 	fi
 else
-	if pkg-config --exists libzen; then
-		CXXFLAGS="$CXXFLAGS $(pkg-config --cflags libzen)"
-		if test "$enable_staticlibs" = "yes"; then
-			with_zenlib="system (static)"
-			LIBS="$LIBS $(pkg-config --variable=LIBS_Static libzen)"
-		else
-			with_zenlib="system"
-			LIBS="$LIBS $(pkg-config --libs libzen)"
-			MediaInfoLib_LIBS_Static="$MediaInfoLib_LIBS_Static $(pkg-config --variable=LIBS libzen)"
-		fi
-	else
-		AC_MSG_ERROR([libzen configuration is not found])
-	fi
+	AC_MSG_ERROR([libzen package is not found])
 fi
 
 dnl -------------------------------------------------------------------------
